- Qt 6.4
- Qt Quick 3D
- QML Types
- QtQuick3D.Effects
- DistortionSpiral
- Qt Quick 3D | Commercial or GPLv3

# DistortionSpiral QML Type

A spiral distortion effect. More...

Import Statement: | import QtQuick3D.Effects 6.4

- List of all members, including inherited members

## Properties

- center : vector2d
- distortionStrength : real
- radius : real

## Detailed Description

The DistortionSpiral effect creates a twirl-shaped distortion.

## Property Documentation

center : vector2d

The center point of the distortion. The default is `Qt.vector2d(0.5, 0.5)`, the center of the scene.

distortionStrength : real

The distortion amount. The range is `[-10...10]`. The default value is `1.0`.

radius : real

How far the distortion extends from the center point. The range is `[0...1]`. The default value is `0.25`.